# Add-ons

## Request Example

### cURL

```bash
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request GET "$LAGO_URL/api/v1/add_ons?per_page=2&page=1" \
  --header "Authorization: Bearer $API_KEY"
```

### Response Example

#### Success Response

```json
{
  "add_ons": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "name": "Setup Fee",
      "invoice_display_name": "Setup Fee (SF1)",
      "code": "setup_fee",
      "amount_cents": 50000,
      "amount_currency": "USD",
      "description": "Implementation fee for new customers.",
      "created_at": "2022-04-29T08:59:51Z",
      "taxes": [
        {
          "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
          "name": "TVA",
          "code": "french_standard_vat",
          "rate": 20,
          "applied_to_organization": true,
          "created_at": "2023-07-06T14:35:58Z",
          "description": "French standard VAT"
        }
      ]
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}
```

## API Details

### Authorization

- **Type**: string  
- **Location**: header  
- **Required**: Yes  
- **Description**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Query Parameters

- **page**  
  - **Type**: integer  
  - **Description**: Page number.  
  - **Example**: `1`

- **per_page**  
  - **Type**: integer  
  - **Description**: Number of records per page.  
  - **Example**: `20`

### Response Codes

- **200**: Success  
- **401**: Unauthorized  
- **403**: Forbidden

### Add-ons

- **add_ons**  
  - **Type**: object[]  
  - **Required**: Yes

### Meta

- **meta**  
  - **Type**: object  
  - **Required**: Yes  
  - **Description**: Metadata about the response.
